Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core
Class Instr.InvalidImmediate

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  avrora.core.Instr.InvalidOperand
                      avrora.core.Instr.InvalidImmediate

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Instr

public static class Instr.InvalidImmediate
extends Instr.InvalidOperand

The `InvalidImmediate` class represents an error in construction of an instance of `Instr` where the given immediate operand is not within the range that is specified by the instruction set manual. For example, the "sbic" instruction skips the next instruction if the specified bit in the status register is clear. Its operand is expected to be in the range [0, ..., 7]. If the specified operand is not in the range, then this exception will be thrown.

See Also:
  Serialized Form

Field Summary
`int` | `high` The `high` field stores the highest value that is allowed for this operand.
`int` | `low` The `low` field stores the lowest value that is allowed for this operand.
`int` | `value` The `value` field stores the actual value that was passed during the attempeted construction of this instruction.

Fields inherited from class avrora.core.Instr.InvalidOperand
`number`

Constructor Summary
`Instr.InvalidImmediate(int num, int v, int l, int h)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### low

    public final int low

  The `low` field stores the lowest value that is allowed for this operand.

### high

    public final int high

  The `high` field stores the highest value that is allowed for this operand.

### value

    public final int value

  The `value` field stores the actual value that was passed during the attempeted construction of this instruction.

Constructor Detail

### Instr.InvalidImmediate

    public Instr.InvalidImmediate(int num,
                                  int v,
                                  int l,
                                  int h)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD